<?php
/*
 *  Plugin Name:    Skype chat support
 *  Plugin URI:     https://www.persianscript.ir
 *  Description:    Can easily create Bubble & buttons for skype chat in any WordPress site. Gutenberg, Elementor and shortcodes supported. 
 *  Author:         پرشین اسکریپت
 *  Author URI:     https://www.persianscript.ir
 *  Requirements:   PHP 5.2.4 or above, WordPress 3.3 or above.
 *  Version:       1.0
 * Text Domain:  ta-scs
 * Domain Path:  /languages
 */

// Block Direct access
if( !defined( 'ABSPATH' ) ){ die( 'You should not access this file directly!.' ); }

// Define Constants for direct access alert message.
if( !defined( 'SCS_ALERT_MSG' ) )
	define( 'SCS_ALERT_MSG', esc_html__( 'You should not access this file directly.!', 'ta-scs' ) );

// Define constants for plugin directory path.
if( !defined( 'SCS_DIR_PATH' ) )
	define( 'SCS_DIR_PATH', plugin_dir_path( __FILE__ ) );



// Define constants for plugin directory path.
if( !defined( 'SCS_DIR_URL' ) )
	define( 'SCS_DIR_URL', plugin_dir_url( __FILE__ ) );

// load text domain from plugin folder
function scs_load_textdomain() {
	load_plugin_textdomain( '', false, dirname(__FILE__) . "/languages" );
}
add_action("plugins_loaded", 'scs_load_textdomain');

// Plugin settings in plugin list
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'scs_settings_link');
function scs_settings_link(array $links)
{
    $url = get_admin_url() . "admin.php?page=scs";
    $settings_link = '<a href="' .esc_url( $url ). '">' . esc_html__('Settings', 'ta-scs') . '</a>';
    $links[] = $settings_link;
    return $links;
}

// Script enqueue class include
require_once SCS_DIR_PATH . 'inc/class-enqueue.php';

// View Shortcodes
require_once SCS_DIR_PATH . '/view/elementor-widgets/elementor-widget.php';
require_once SCS_DIR_PATH . 'view/shortcodes/custom-shortcode.php';

// buttons functions
require_once SCS_DIR_PATH . 'inc/functions.php';
// Button template class
require_once SCS_DIR_PATH . 'inc/class-custom-buttons-templates.php';

// single chat bubble template
require_once SCS_DIR_PATH . '/view/chat-bubbles/chat-bubbles.php';

// include framework for admin panel
require_once SCS_DIR_PATH . 'admin/codestar-framework.php';
require_once SCS_DIR_PATH . 'inc/scs-plugin-options.php';